# eric7.WebBrowser.CookieJar.CookiesDialog

Module implementing a dialog to show all cookies.

### Global Attributes

None

### Classes

CookiesDialog | Class implementing a dialog to show all cookies.

### Functions

None

## CookiesDialog

Class implementing a dialog to show all cookies.

### Derived from

QDialog, Ui_CookiesDialog

### Class Attributes

CookieRole
DomainRole

### Class Methods

None

### Methods

CookiesDialog | Constructor
__addCookie | Private method to add a cookie to the tree.
__cookieDomain | Private method to extract the cookie domain.
__resizeColumns | Private slot to resize the columns.
on_addButton_clicked | Private slot to add a new exception.
on_cookiesTree_currentItemChanged | Private slot to handle a change of the current item.
on_removeAllButton_clicked | Private slot to remove all cookies.
on_removeButton_clicked | Private slot to remove the selected cookie(s).
on_searchEdit_textChanged | Private slot to search and filter the cookie tree.

### Static Methods

None

#### CookiesDialog (Constructor)

CookiesDialog(cookieJar, parent=None)

Constructor

cookieJar
  reference to the cookie jar (CookieJar)
parent
  reference to the parent widget (QWidget)

#### CookiesDialog.__addCookie

__addCookie(cookie)

Private method to add a cookie to the tree.

cookie (QNetworkCookie)
  reference to the cookie

#### CookiesDialog.__cookieDomain

__cookieDomain(cookie)

Private method to extract the cookie domain.

cookie (QNetworkCookie)
  cookie to get the domain from

Return:
  domain of the cookie

Return Type:
  str

#### CookiesDialog.__resizeColumns

__resizeColumns()

Private slot to resize the columns.

#### CookiesDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new exception.

#### CookiesDialog.on_cookiesTree_currentItemChanged

on_cookiesTree_currentItemChanged(current, previous)

Private slot to handle a change of the current item.

current (QTreeWidgetItem)
  reference to the current item
previous (QTreeWidgetItem)
  reference to the previous current item

#### CookiesDialog.on_removeAllButton_clicked

on_removeAllButton_clicked()

Private slot to remove all cookies.

#### CookiesDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove the selected cookie(s).

#### CookiesDialog.on_searchEdit_textChanged

on_searchEdit_textChanged(txt)

Private slot to search and filter the cookie tree.

txt (str)
  text to search for

Up